Subject: 30.0.50; prog-fill-reindent-defun doesn't use region

From: Juri Linkov <[email-masked]>
Date: Tue, 27 Dec 2022 20:13:02 +0200

X-Debbugs-CC: Theodor Thornhill <[email-masked]>

After selecting the region in a docstring, M-q used to fill the region,
but new prog-fill-reindent-defun doesn't do this.  The original
function had the argument REGION for that, described thusly:

  The REGION argument is non-nil if called interactively; in that
  case, if Transient Mark mode is enabled and the mark is active,
  call ‘fill-region’ to fill each of the paragraphs in the active
  region, instead of just filling the current paragraph.